import React, { useCallback, useEffect, useState } from 'react';
import { Provider, Preview, Error } from 'jarle';
import { event } from '../constants';
const LivePreview = ({ code, channel, scope, providerProps = {}, }) => {
    const [_code, setCode] = useState(code);
    const updateCode = useCallback((code) => {
        setCode(code);
    }, []);
    useEffect(() => {
        channel.emit(event.LoadSource, code);
        channel.on(event.UpdateSource, updateCode);
        return () => {
            channel.removeListener(event.UpdateSource, updateCode);
        };
    }, [updateCode]);
    return (React.createElement(Provider, Object.assign({ scope: scope }, providerProps, { code: _code }),
        React.createElement(Preview, null),
        React.createElement(Error, null)));
};
export default LivePreview;
