import React from 'react';
import { EditorProps } from '@monaco-editor/react';
import { Props } from 'jarle/lib/Provider';
interface PlaygroundProps<TScope extends Record<string, unknown>> {
    code: string;
    defaultExpanded?: boolean;
    scope?: TScope;
    providerProps?: Partial<Props<TScope>>;
    autoTypings?: boolean;
    resolveTypeDefinition?: (packageName: string) => Promise<string | undefined> | string | undefined;
    editorProps?: Partial<EditorProps>;
    className?: string;
    previewClassName?: string;
    previewStyle?: React.CSSProperties;
    editorClassName?: string;
    editorStyle?: React.CSSProperties;
}
declare const Playground: React.FC<PlaygroundProps<Record<string, unknown>>>;
export default Playground;
